%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

%define subrel 1

Name: chmsee
Version: 1.1.0
Release: %mkrel 2
Summary: A Gtk+2 based CHM viewer
License: GPLv2+
URL: http://code.google.com/p/chmsee/
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: http://chmsee.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires: libglade2.0-devel
%if %mdvver >= 201000
BuildRequires:	xulrunner-devel
%else
BuildRequires:	xulrunner-devel-unstable
%endif
BuildRequires: openssl-devel
BuildRequires: libgcrypt-devel
BuildRequires: chmlib-devel
BuildRequires: intltool
BuildRequires: imagemagick
BuildRequires: cmake
BuildRequires: libxml2-devel
%if %mdvver >= 201000
Requires: libxulrunner = %{xulrunner_version}
%else
#gw as Fedora does:
%define xulrunner 1.9
%define libname %mklibname xulrunner %xulrunner
%define xulver %(rpm -q --queryformat %%{VERSION} %libname)
Requires: %libname = %xulver
%endif


%description
ChmSee is an HTML Help viewer for Unix/Linux. It is based on CHMLIB
and use Gtk2+ as frontend toolkit. Because of using gecko as HTML
rendering engine, ChmSee can support rich features of modern HTML
page, such as CSS and JavaScript.

%prep
%setup -q

%build
%cmake 
%make

%install
%__rm -rf %buildroot
pushd build
%makeinstall_std
popd

mkdir -p %buildroot%_iconsdir/hicolor/{16x16,32x32,48x48}/apps
install -p -m 644 -D data/chmsee-icon.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/chmsee.png
convert data/chmsee-icon.png -resize 16x16 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/chmsee.png
convert data/chmsee-icon.png -resize 32x32 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/chmsee.png

%find_lang %name

%clean
%__rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/chmsee
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/*/apps/*.png

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%update_mime_database
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%clean_mime_database
%endif


%changelog
* Wed Aug 11 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.1.0-2.1mdv2010.1
+ Revision: 568926
- rebuild for xulrunner1.9.2.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-2mdv2010.1
+ Revision: 549383
- Rebuild with latest xulrunner

* Fri Apr 16 2010 Lev Givon <lev@mandriva.org> 1.1.0-1mdv2010.1
+ Revision: 535521
- Update to 1.1.0.

* Wed Mar 24 2010 Götz Waschk <waschk@mandriva.org> 1.0.7-4mdv2010.1
+ Revision: 527112
- rebuild for new xulrunner

* Fri Dec 18 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.7-3mdv2010.1
+ Revision: 479979
- fix build with newer xulrunner

* Wed Sep 23 2009 Lev Givon <lev@mandriva.org> 1.0.7-2mdv2010.0
+ Revision: 447574
- Rebuild against new libxulrunner.

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.7-1mdv2010.0
+ Revision: 440746
- Update to new version 1.0.7
- Remove xulrunner patch: not needed anymore

* Wed Aug 19 2009 Götz Waschk <waschk@mandriva.org> 1.0.6-4mdv2010.0
+ Revision: 418029
- patch for new xulrunner

* Thu Aug 06 2009 Funda Wang <fwang@mandriva.org> 1.0.6-3mdv2010.0
+ Revision: 410503
- rebuild for new xulrunner

* Thu Jul 30 2009 Funda Wang <fwang@mandriva.org> 1.0.6-2mdv2010.0
+ Revision: 404467
- rebuild

* Sun Jul 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.6-1mdv2010.0
+ Revision: 395038
- update to new version 1.0.6

* Sat Jun 13 2009 Funda Wang <fwang@mandriva.org> 1.0.5-2mdv2010.0
+ Revision: 385724
- rebuild for new xulrunner

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.5-1mdv2010.0
+ Revision: 377267
- Update to new version 1.0.5
- Uses cmake build system now

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.0.4-3mdv2010.0
+ Revision: 369568
- rebuild for new xulrunner

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.4-2mdv2009.1
+ Revision: 361839
- rebuild for xulrunner 1.9.0.8

* Mon Mar 16 2009 Funda Wang <fwang@mandriva.org> 1.0.4-1mdv2009.1
+ Revision: 355844
- New version 1.0.4

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 1.0.3-2mdv2009.1
+ Revision: 337034
- rebuild for new xulrunner

* Sat Jan 10 2009 Funda Wang <fwang@mandriva.org> 1.0.3-1mdv2009.1
+ Revision: 328030
- New version 1.0.3

* Thu Jan 08 2009 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2009.1
+ Revision: 327124
- New version 1.0.2

* Wed Dec 24 2008 Funda Wang <fwang@mandriva.org> 1.0.1-3mdv2009.1
+ Revision: 318259
- fix str fmt
- rediff gecko root patch
- rebuild for new xulrunner

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 289237
- rebuild for new xulrunner

* Wed Jul 30 2008 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 255272
- New version 1.0.1
- build with xulrunner

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-10mdv2009.0
+ Revision: 236368
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 1.0.0-9mdv2009.0
+ Revision: 231244
- Rebuild for firefox 2.0.0.15

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Apr 19 2008 Funda Wang <fwang@mandriva.org> 1.0.0-8mdv2009.0
+ Revision: 195741
- rebuild for FF 2.0.0.14

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 1.0.0-7mdv2008.1
+ Revision: 190451
- rebuild for firefox 2.0.0.13

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 1.0.0-6mdv2008.1
+ Revision: 164623
- rebuild for new FF
- rebuild for new ff

* Mon Nov 12 2007 Funda Wang <fwang@mandriva.org> 1.0.0-4mdv2008.1
+ Revision: 108220
- rebuild for ff 2.0.0.9

* Fri Oct 19 2007 Funda Wang <fwang@mandriva.org> 1.0.0-3mdv2008.1
+ Revision: 100457
- rebuild for new FF 2.0.0.8

* Thu Oct 18 2007 Funda Wang <fwang@mandriva.org> 1.0.0-2mdv2008.1
+ Revision: 99848
- Rebuild against FF 2.0.0.7

* Sun Sep 16 2007 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 88394
- Update mime also
- add fedora patch
- use hicolor icon theme
- Add build patch
- more firefox family requires style
- add description
- Created package structure for chmsee.

